> For the complete documentation index, see [llms.txt](https://docs.verifone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verifone.com/api-reference/open-api-references/paypal-ecommerce.md).

# PayPal eCommerce

The **PayPal eComm API** enables merchants to process PayPal-powered payments through Verifone's Global Service Cloud. It supports one-time transactions (authorise, capture, refund, void), recurring billing via agreements and subscriptions, and product/plan management for subscription commerce.

All endpoints require Bearer JWT authentication and are available across EMEA, Americas, and New Zealand production environments, as well as Global and Americas sandboxes.

{% hint style="info" %}
The `x-vfi-api-idempotencyKey` header is available on most write operations. Use it to safely retry requests without risk of duplicate transactions.
{% endhint %}

## Environments

<table><thead><tr><th width="208.4444580078125">Environment</th><th>Base URL</th></tr></thead><tbody><tr><td>EMEA Production</td><td><code>https://emea.gsc.verifone.cloud/oidc/paypal-ecom</code></td></tr><tr><td>Americas Production</td><td><code>https://us.gsc.verifone.cloud/oidc/paypal-ecom</code></td></tr><tr><td>New Zealand</td><td><code>https://nz.gsc.verifone.cloud/oidc/paypal-ecom</code></td></tr><tr><td>Global Sandbox</td><td><code>https://cst.test-gsc.vfims.com/oidc/paypal-ecom</code></td></tr><tr><td>Americas Sandbox</td><td><code>https://uscst.gb.gsc.cficloud/oidc/paypal-ecom</code></td></tr></tbody></table>

## API Reference

<table data-view="cards"><thead><tr><th>Name</th><th>Description</th><th data-hidden data-card-target data-type="content-ref">Page</th></tr></thead><tbody><tr><td><strong>Transactions</strong></td><td>Create, update, authorise, capture, refund, and void PayPal transactions.</td><td><a href="/spaces/OiXbo96Og9EN7rz2U44K/pages/568bf62f94d04c50d0684a4334fe6e60d54fd362">/spaces/OiXbo96Og9EN7rz2U44K/pages/568bf62f94d04c50d0684a4334fe6e60d54fd362</a></td></tr><tr><td><strong>Billing Agreements</strong></td><td>Initiate, create, retrieve, and cancel PayPal billing agreements for recurring payments.</td><td><a href="/spaces/OiXbo96Og9EN7rz2U44K/pages/28bf5cc17c41555d80372995c861cf1997949e69">/spaces/OiXbo96Og9EN7rz2U44K/pages/28bf5cc17c41555d80372995c861cf1997949e69</a></td></tr><tr><td><strong>Products</strong></td><td>Create and manage PayPal products used as the basis for billing plans.</td><td><a href="/spaces/OiXbo96Og9EN7rz2U44K/pages/e362d3784bce355ebf44538bbc0e7826c801b3bf">/spaces/OiXbo96Og9EN7rz2U44K/pages/e362d3784bce355ebf44538bbc0e7826c801b3bf</a></td></tr><tr><td><strong>Billing Plans</strong></td><td>Create, retrieve, update, activate, and deactivate PayPal billing plans.</td><td><a href="/spaces/OiXbo96Og9EN7rz2U44K/pages/f0f9a1ba0acac2e26ed4c63d3fb44de3158a1b95">/spaces/OiXbo96Og9EN7rz2U44K/pages/f0f9a1ba0acac2e26ed4c63d3fb44de3158a1b95</a></td></tr><tr><td><strong>Subscriptions</strong></td><td>Create and manage subscriber subscriptions, including capture, revise, cancel, activate, and suspend.</td><td><a href="/spaces/OiXbo96Og9EN7rz2U44K/pages/9f7766d11002ee1ea75ff05efc6b7cba55f6478a">/spaces/OiXbo96Og9EN7rz2U44K/pages/9f7766d11002ee1ea75ff05efc6b7cba55f6478a</a></td></tr><tr><td><strong>Risk Context</strong></td><td>Set transaction risk context for PayPal fraud evaluation.</td><td><a href="/spaces/OiXbo96Og9EN7rz2U44K/pages/0177fe039e6aadff1714177250c39004e7d9ecc0">/spaces/OiXbo96Og9EN7rz2U44K/pages/0177fe039e6aadff1714177250c39004e7d9ecc0</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.verifone.com/api-reference/open-api-references/paypal-ecommerce.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
